### Function

# Gcr SystemPrompt open_for_prompter_async

#### Declaration [src]

    void
    gcr_system_prompt_open_for_prompter_async (
      const gchar* prompter_name,
      gint timeout_seconds,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Opens a system prompt asynchronously. If prompter_name is `NULL`, then the default system prompter is used.

Most system prompters only allow showing one prompt at a time, and if another prompt is shown then this method will block for up to `timeout_seconds` seconds. If `timeout_seconds` is equal to -1, then this will block indefinitely until the prompt can be opened. If `timeout_seconds` expires, then this operation will fail with a `GCR_SYSTEM_PROMPT_IN_PROGRESS` error.

#### Parameters

`prompter_name`

  Type: `const gchar*`

  The prompter D-Bus name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`timeout_seconds`

  Type: `gint`

  The number of seconds to wait to access the prompt, or -1.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

`user_data`

  Type: `gpointer`

  Data to pass the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.